Subject: bug#27556: closed (Re: bug#27556: libpng has wrong hash. [Fwd: Re: why has the hash for libpng-apng 1.6.28 changed?])

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Aug 2017 15:26:02 +0000

Your bug report

#27556: libpng has wrong hash.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27556: libpng has wrong hash. [Fwd: Re: why has the hash for libpng-apng 1.6.28 changed?]
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 2 Aug 2017 11:25:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Aug 01, 2017 at 03:47:08PM +0000, ng0 wrote:
> From 4326cad38700df43909eb6f430217fdfa4eca89f Mon Sep 17 00:00:00 2001
> From: ng0 <[email-masked]>
> Date: Tue, 1 Aug 2017 15:37:28 +0000
> Subject: [PATCH] gnu: libpng-apng: Update to 1.6.28.
> 
> Fixes <https://bugs.gnu.org/27556>.
> 
> * gnu/packages/image.scm (libpng-apng): Update to 1.6.28.
> Remove inherit of 'libpng'.
> (version): Use own version, remove 'package-version libpng'.
> (source): Add it.
> (arguments): Update hash of libpng-apng source.

Thanks! Pushed as e0958c2df833a5eb3b6ecfb66f8d971cd44dd49b

Subject: libpng has wrong hash.
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 2 Jul 2017 20:13:44 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I don't know if they moved the file around, renamed it or
whatever, but the hash is now
"0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab".
We should use this in icecat as intended (I use it for
firefox nightly I work on) so that these errors get
attention.

@ build-started /gnu/store/l2ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv - x86_64-linux /var/log/guix/drvs/l2//ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv.bz2

Starting download of /gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz
From http://downloads.sourceforge.net/project/libpng-apng/libpng16/1.6.28/libpng-1.6.28-apng.patch.gz...
following redirection to `https://netix.dl.sourceforge.net/project/libpng-apng/libpng16/1.6.28/libpng-1.6.28-apng.patch.gz'...
 ...-apng.patch.gz  11KiB           1.2MiB/s 00:00 [####################] 100.0%
sha256 hash mismatch for output path `/gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz'
  expected: 026r0gbkf6d6v54wca02cdxln8sj4m2c1yk62sj2aasv2ki2ffh5
  actual:   0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab
@ build-failed /gnu/store/l2ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv - 1 sha256 hash mismatch for output path `/gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz'
  expected: 026r0gbkf6d6v54wca02cdxln8sj4m2c1yk62sj2aasv2ki2ffh5
  actual:   0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab
cannot build derivation `/gnu/store/x1dqpvyjz4v25z4al6kll6i3n3whv9h3-libpng-apng-1.6.28.drv': 1 dependencies couldn't be built
guix build: error: build failed: build of `/gnu/store/x1dqpvyjz4v25z4al6kll6i3n3whv9h3-libpng-apng-1.6.28.drv' failed

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org